[data-page="login"] {
    display: flex;
    align-items: center;
    justify-content: center;
    background: linear-gradient(170deg, rgba(153, 50, 154, 1) 20%, rgba(103, 83, 185, 1) 40%, rgba(24, 40, 74, 1) 100%);
    background-size: cover;
    height: 100vh;
    height: 100dvh;

    .content {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 100%;
        max-width: 50rem;
        padding: 0 1rem;
        row-gap: 1rem;

        >img {
            width: 100%;
            margin-bottom: 48px;
        }

        h1 {
            color: var(--white);
        }

        form {
            display: flex;
            flex-direction: column;
            row-gap: 1rem;

            .container__input {
                display: flex;
                width: 100%;
                height: 40px;
                border-radius: 20px;
                border: 1px solid var(--white);
                overflow: hidden;

                input {
                    width: 100%;
                    background-color: var(--white);
                    border: none;
                    font-size: 1rem;
                    padding-left: 8px;
                    outline: none;
                }

                input::placeholder {
                    font-size: 1rem;
                }

                .icon {
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    flex: 0 0 48px;
                    height: 100%;
                    background-color: transparent;
                    color: #fff;
                }

                .icon:nth-of-type(2) {
                    flex: 0 0 40px;
                    cursor: pointer;
                    background-color: var(--white);
                }
            }

            button {
                width: 100%;
            }
        }
        
        .phrase {
            display: flex;
            flex-direction: column;
            justify-content: center;
            text-align: center;
            padding: 1rem 2rem;
            margin-top: 30px;
            width: auto;
            max-width: 400px;
            min-height: auto;
            background: transparent;
            animation: 6s rotate linear infinite;
            opacity: 0.8;

            .quote {
                font-size: 0.9rem;
                color: var(--white);
                margin-bottom: 0.4rem;
                font-weight: 700;
            }

            .author {
                font-size: 0.9rem;
                color: #FFFFFFCC;
                font-style: italic;
            }
        }
    }

    @media (min-width: 768px) {
        .content {
            form {
                .container__input {
                    border-radius: 8px;
                }
            }
        }
    }
}
